<div class="page movies">
  <h1 *ngIf="!genre" class="page__title">
    TV Show
  </h1>
  <h1 *ngIf="genre" class="page__title">{{ genre.name }}</h1>
  <div class="container">
    <div class="card__group">
      <serial-card
        *ngFor="
          let show of shows
            | paginate: { itemsPerPage: 20, currentPage: page, totalItems: totalResults }
        "
        [show]="show"
        class="card"
      ></serial-card>
    </div>
    <pagination-controls
      class="page__pagination"
      (pageChange)="pageChange($event)"
      previousLabel=""
      nextLabel=""
    ></pagination-controls>
  </div>
</div>
